Bug 1832872 - [openstack] api loadbalancer shows operating_status of DEGRADED after kuryr IPI install
Summary: [openstack] api loadbalancer shows operating_status of DEGRADED after kuryr I...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
: 4.4.z
Assignee: rdobosz
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1829824
Blocks: 1846344
TreeView+ depends on / blocked
 
Reported: 2020-05-07 12:33 UTC by rdobosz
Modified: 2020-06-23 00:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1829824
Environment:
Last Closed: 2020-06-23 00:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 629 None closed Bug 1832872: Remove dead member from LB pool. 2020-07-03 12:41:16 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:57:42 UTC

Comment 4 rlobillo 2020-06-15 16:04:48 UTC
Verified on OCP4.4.0-0.nightly-2020-06-14-142924 on OSP13 (2020-06-09.2) with OVS.

Bootstrap port was deleted after bootstrap server destroy during installation, so now the the loadbalancer pool shows operating_status=ONLINE:


(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer show ostest-pm555-kuryr-api-loadbalancer
+---------------------+--------------------------------------+
| Field               | Value                                |
+---------------------+--------------------------------------+
| admin_state_up      | True                                 |
| created_at          | 2020-06-15T12:17:02                  |
| description         | openshiftClusterID=ostest-pm555      |
| flavor              |                                      |
| id                  | a16f4e3c-9cc9-4fd8-bbbe-68ba6cf1149d |
| listeners           | b723b206-d209-4206-aecf-157689e7b760 |
| name                | ostest-pm555-kuryr-api-loadbalancer  |
| operating_status    | ONLINE                               |
| pools               | 9e8290c6-d015-4a64-876c-2eef0d06935e |
| project_id          | 14d5b40c78f04b689eed1f43bcc163d5     |
| provider            | octavia                              |
| provisioning_status | ACTIVE                               |
| updated_at          | 2020-06-15T12:52:54                  |
| vip_address         | 172.30.0.1                           |
| vip_network_id      | 052e5909-09ba-486a-be05-98195251c7ac |
| vip_port_id         | 88f834ec-a27d-451b-a440-30bd0130ee50 |
| vip_qos_policy_id   | None                                 |
| vip_subnet_id       | 34ac76d3-4aed-4aa2-9c3c-f4532668cebb |
+---------------------+--------------------------------------+
(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer member list 9e8290c6-d015-4a64-876c-2eef0d06935e
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
| id                                   | name                       | project_id                       | provisioning_status | address      | protocol_port | operating_status | weight |
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
| 98ce64b8-d1fe-44d8-b7e2-7f06d346f9ef | ostest-pm555-master-port-2 | 14d5b40c78f04b689eed1f43bcc163d5 | ACTIVE              | 10.196.2.50  |          6443 | ONLINE           |    100 |
| ede66c35-edbf-49e5-bb54-f100844c4b0c | ostest-pm555-master-port-1 | 14d5b40c78f04b689eed1f43bcc163d5 | ACTIVE              | 10.196.1.147 |          6443 | ONLINE           |    100 |
| 176ff290-5845-44fe-8e26-20a6ae9951b3 | ostest-pm555-master-port-0 | 14d5b40c78f04b689eed1f43bcc163d5 | ACTIVE              | 10.196.0.57  |          6443 | ONLINE           |    100 |
+--------------------------------------+----------------------------+----------------------------------+---------------------+--------------+---------------+------------------+--------+
(overcloud) [stack@undercloud-0 ~]$ openstack loadbalancer pool show 9e8290c6-d015-4a64-876c-2eef0d06935e
+---------------------+------------------------------------------+
| Field               | Value                                    |
+---------------------+------------------------------------------+
| admin_state_up      | True                                     |
| created_at          | 2020-06-15T12:18:19                      |
| description         |                                          |
| healthmonitor_id    | eb963658-1a74-4297-b325-4214e1c24a80     |
| id                  | 9e8290c6-d015-4a64-876c-2eef0d06935e     |
| lb_algorithm        | ROUND_ROBIN                              |
| listeners           | b723b206-d209-4206-aecf-157689e7b760     |
| loadbalancers       | a16f4e3c-9cc9-4fd8-bbbe-68ba6cf1149d     |
| members             | 176ff290-5845-44fe-8e26-20a6ae9951b3     |
|                     | ede66c35-edbf-49e5-bb54-f100844c4b0c     |
|                     | 98ce64b8-d1fe-44d8-b7e2-7f06d346f9ef     |
| name                | ostest-pm555-kuryr-api-loadbalancer-pool |
| operating_status    | ONLINE                                   |
| project_id          | 14d5b40c78f04b689eed1f43bcc163d5         |
| protocol            | HTTPS                                    |
| provisioning_status | ACTIVE                                   |
| session_persistence | None                                     |
| updated_at          | 2020-06-15T12:52:54                      |
+---------------------+------------------------------------------+

Comment 6 errata-xmlrpc 2020-06-23 00:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.